#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=bogaz1.17_depth_histogram.ps
projection=-JX12/10
region=-R0/20/0/13
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa10f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths bogaz1.17' -K <<END>> $psfile
     8.000
    14.000
    11.000
    10.000
     9.000
    15.000
    14.000
    13.000
    14.000
    15.000
    10.000
    10.000
     9.000
    13.000
     7.000
    11.000
    13.000
    11.000
    12.000
    10.000
    12.000
    14.000
    14.000
    12.000
    13.000
    13.000
    12.000
     6.000
    15.000
     5.000
    15.000
    12.000
    15.000
    15.000
    13.000
    13.000
    12.000
    12.000
    14.000
    15.000
    14.000
    13.000
    10.000
     5.000
     8.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -K -O << END >> $psfile
    12.220     1.000 Median of constrained depths =  12.0
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    11.440     1.000 Spread of constrained depths =   2.4
END
